#version 330 core
  
layout(location=0) in vec2 vVertex; //położenie wierzchołka w przestrzeni obiektu

//wyjście shadera wierzchołków
smooth out vec2 vUV;			//współrzędne tekstury 2D dla shadera fragmentów

void main()
{   	
	//wyznaczanie położenia w przestrzeni przycięcia na podstawie położenia w przestrzeni w obiektu
	gl_Position = vec4(vVertex.xy*2-1.0,0,1);	 

	//wyznaczanie współrzędnych tekstury na podstawie położenia wierzchołka w przestrzenie obiektu
	vUV = vVertex;
}